--- orig/x_arithmetic.c	Thu Jan 23 02:41:32 2003
+++ src/x_arithmetic.c	Thu Jan 23 02:30:17 2003
@@ -325,8 +325,27 @@
     return (x);
 }
 
-/* --------------------------- & ---------------------------- */
+/* --------------------------- ^ ---------------------------- */
+
+static t_class *binop3_bx_class; 
+ 
+static void *binop3_bx_new(t_floatarg f) 
+{ 
+  return (binop3_new(binop3_bx_class, f)); 
+} 
+ 
+static void binop2_bx_bang(t_binop *x) 
+{ 
+  outlet_float(x->x_obj.ob_outlet, ((int)(x->x_f1)) ^ (int)(x->x_f2)); 
+} 
+ 
+static void binop2_bx_float(t_binop *x, t_float f) 
+{ 
+  outlet_float(x->x_obj.ob_outlet, ((int)(x->x_f1 = f)) ^ (int)(x->x_f2)); 
+} 
 
+/* --------------------------- & ---------------------------- */
+ 
 static t_class *binop3_ba_class;
 
 static void *binop3_ba_new(t_floatarg f)
@@ -788,6 +807,13 @@
     class_sethelpsymbol(binop2_le_class, binop23_sym);
 
     	/* ------------------ binop3 ----------------------- */
+
+    binop3_bx_class = class_new(gensym("^"), (t_newmethod)binop3_bx_new, 0, 
+				sizeof(t_binop), 0, A_DEFFLOAT, 0); 
+    class_addbang(binop3_bx_class, binop2_bx_bang); 
+    class_addfloat(binop3_bx_class, (t_method)binop2_bx_float); 
+    class_sethelpsymbol(binop3_bx_class, binop23_sym); 
+
 
     binop3_ba_class = class_new(gensym("&"), (t_newmethod)binop3_ba_new, 0,
     	sizeof(t_binop), 0, A_DEFFLOAT, 0);
